<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
  </head>
  <body>
    <header>
      <nav>
        <a href="{% url 'todo_list_list' %}">Main</a>
      </nav>
    </header>
    <main>
      <div>
        <h1>{{ list.name }}</h1>
        <p>
          <a href="{% url 'todo_item_create' %}">Add item to list</a>
        </p>
        <p>
          <a href="{% url 'todo_list_update' list.id %}">Edit</a>
        </p>
        <p>
          <a href="{% url 'todo_list_delete' list.id %}">Delete</a>
        </p>
        <h2>Tasks</h2>
        <table>
          <thead>
            <tr>
              <th>Task</th>
              <th>Due date</th>
            </tr>
          </thead>
          <tbody>
            {% for item in list.items.all %}
              <tr>
                <td>
                  <a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a>
                </td>
                <td>{{ item.due_date|date:"M d, Y" }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
